Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network221.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
221.0.0.0
Broadcast address
221.255.255.255
First usable
221.0.0.1
Last usable
221.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex DD000000 · Integer 3707764736 to 3724541951
Reverse DNS zone
221.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011101..00000000.00000000.00000000221.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11011101..00000000.00000000.00000000221.0.0.0
Broadcast11011101..11111111.11111111.11111111221.255.255.255
Split into smaller subnets/16

221.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1221.0.0.0/16221.0.0.1 to 221.0.255.254221.0.255.25565,534
2221.1.0.0/16221.1.0.1 to 221.1.255.254221.1.255.25565,534
3221.2.0.0/16221.2.0.1 to 221.2.255.254221.2.255.25565,534
4221.3.0.0/16221.3.0.1 to 221.3.255.254221.3.255.25565,534
5221.4.0.0/16221.4.0.1 to 221.4.255.254221.4.255.25565,534
6221.5.0.0/16221.5.0.1 to 221.5.255.254221.5.255.25565,534
7221.6.0.0/16221.6.0.1 to 221.6.255.254221.6.255.25565,534
8221.7.0.0/16221.7.0.1 to 221.7.255.254221.7.255.25565,534
9221.8.0.0/16221.8.0.1 to 221.8.255.254221.8.255.25565,534
10221.9.0.0/16221.9.0.1 to 221.9.255.254221.9.255.25565,534
11221.10.0.0/16221.10.0.1 to 221.10.255.254221.10.255.25565,534
12221.11.0.0/16221.11.0.1 to 221.11.255.254221.11.255.25565,534
13221.12.0.0/16221.12.0.1 to 221.12.255.254221.12.255.25565,534
14221.13.0.0/16221.13.0.1 to 221.13.255.254221.13.255.25565,534
15221.14.0.0/16221.14.0.1 to 221.14.255.254221.14.255.25565,534
16221.15.0.0/16221.15.0.1 to 221.15.255.254221.15.255.25565,534
17221.16.0.0/16221.16.0.1 to 221.16.255.254221.16.255.25565,534
18221.17.0.0/16221.17.0.1 to 221.17.255.254221.17.255.25565,534
19221.18.0.0/16221.18.0.1 to 221.18.255.254221.18.255.25565,534
20221.19.0.0/16221.19.0.1 to 221.19.255.254221.19.255.25565,534
21221.20.0.0/16221.20.0.1 to 221.20.255.254221.20.255.25565,534
22221.21.0.0/16221.21.0.1 to 221.21.255.254221.21.255.25565,534
23221.22.0.0/16221.22.0.1 to 221.22.255.254221.22.255.25565,534
24221.23.0.0/16221.23.0.1 to 221.23.255.254221.23.255.25565,534
25221.24.0.0/16221.24.0.1 to 221.24.255.254221.24.255.25565,534
26221.25.0.0/16221.25.0.1 to 221.25.255.254221.25.255.25565,534
27221.26.0.0/16221.26.0.1 to 221.26.255.254221.26.255.25565,534
28221.27.0.0/16221.27.0.1 to 221.27.255.254221.27.255.25565,534
29221.28.0.0/16221.28.0.1 to 221.28.255.254221.28.255.25565,534
30221.29.0.0/16221.29.0.1 to 221.29.255.254221.29.255.25565,534
31221.30.0.0/16221.30.0.1 to 221.30.255.254221.30.255.25565,534
32221.31.0.0/16221.31.0.1 to 221.31.255.254221.31.255.25565,534
33221.32.0.0/16221.32.0.1 to 221.32.255.254221.32.255.25565,534
34221.33.0.0/16221.33.0.1 to 221.33.255.254221.33.255.25565,534
35221.34.0.0/16221.34.0.1 to 221.34.255.254221.34.255.25565,534
36221.35.0.0/16221.35.0.1 to 221.35.255.254221.35.255.25565,534
37221.36.0.0/16221.36.0.1 to 221.36.255.254221.36.255.25565,534
38221.37.0.0/16221.37.0.1 to 221.37.255.254221.37.255.25565,534
39221.38.0.0/16221.38.0.1 to 221.38.255.254221.38.255.25565,534
40221.39.0.0/16221.39.0.1 to 221.39.255.254221.39.255.25565,534
41221.40.0.0/16221.40.0.1 to 221.40.255.254221.40.255.25565,534
42221.41.0.0/16221.41.0.1 to 221.41.255.254221.41.255.25565,534
43221.42.0.0/16221.42.0.1 to 221.42.255.254221.42.255.25565,534
44221.43.0.0/16221.43.0.1 to 221.43.255.254221.43.255.25565,534
45221.44.0.0/16221.44.0.1 to 221.44.255.254221.44.255.25565,534
46221.45.0.0/16221.45.0.1 to 221.45.255.254221.45.255.25565,534
47221.46.0.0/16221.46.0.1 to 221.46.255.254221.46.255.25565,534
48221.47.0.0/16221.47.0.1 to 221.47.255.254221.47.255.25565,534
49221.48.0.0/16221.48.0.1 to 221.48.255.254221.48.255.25565,534
50221.49.0.0/16221.49.0.1 to 221.49.255.254221.49.255.25565,534
51221.50.0.0/16221.50.0.1 to 221.50.255.254221.50.255.25565,534
52221.51.0.0/16221.51.0.1 to 221.51.255.254221.51.255.25565,534
53221.52.0.0/16221.52.0.1 to 221.52.255.254221.52.255.25565,534
54221.53.0.0/16221.53.0.1 to 221.53.255.254221.53.255.25565,534
55221.54.0.0/16221.54.0.1 to 221.54.255.254221.54.255.25565,534
56221.55.0.0/16221.55.0.1 to 221.55.255.254221.55.255.25565,534
57221.56.0.0/16221.56.0.1 to 221.56.255.254221.56.255.25565,534
58221.57.0.0/16221.57.0.1 to 221.57.255.254221.57.255.25565,534
59221.58.0.0/16221.58.0.1 to 221.58.255.254221.58.255.25565,534
60221.59.0.0/16221.59.0.1 to 221.59.255.254221.59.255.25565,534
61221.60.0.0/16221.60.0.1 to 221.60.255.254221.60.255.25565,534
62221.61.0.0/16221.61.0.1 to 221.61.255.254221.61.255.25565,534
63221.62.0.0/16221.62.0.1 to 221.62.255.254221.62.255.25565,534
64221.63.0.0/16221.63.0.1 to 221.63.255.254221.63.255.25565,534
65221.64.0.0/16221.64.0.1 to 221.64.255.254221.64.255.25565,534
66221.65.0.0/16221.65.0.1 to 221.65.255.254221.65.255.25565,534
67221.66.0.0/16221.66.0.1 to 221.66.255.254221.66.255.25565,534
68221.67.0.0/16221.67.0.1 to 221.67.255.254221.67.255.25565,534
69221.68.0.0/16221.68.0.1 to 221.68.255.254221.68.255.25565,534
70221.69.0.0/16221.69.0.1 to 221.69.255.254221.69.255.25565,534
71221.70.0.0/16221.70.0.1 to 221.70.255.254221.70.255.25565,534
72221.71.0.0/16221.71.0.1 to 221.71.255.254221.71.255.25565,534
73221.72.0.0/16221.72.0.1 to 221.72.255.254221.72.255.25565,534
74221.73.0.0/16221.73.0.1 to 221.73.255.254221.73.255.25565,534
75221.74.0.0/16221.74.0.1 to 221.74.255.254221.74.255.25565,534
76221.75.0.0/16221.75.0.1 to 221.75.255.254221.75.255.25565,534
77221.76.0.0/16221.76.0.1 to 221.76.255.254221.76.255.25565,534
78221.77.0.0/16221.77.0.1 to 221.77.255.254221.77.255.25565,534
79221.78.0.0/16221.78.0.1 to 221.78.255.254221.78.255.25565,534
80221.79.0.0/16221.79.0.1 to 221.79.255.254221.79.255.25565,534
81221.80.0.0/16221.80.0.1 to 221.80.255.254221.80.255.25565,534
82221.81.0.0/16221.81.0.1 to 221.81.255.254221.81.255.25565,534
83221.82.0.0/16221.82.0.1 to 221.82.255.254221.82.255.25565,534
84221.83.0.0/16221.83.0.1 to 221.83.255.254221.83.255.25565,534
85221.84.0.0/16221.84.0.1 to 221.84.255.254221.84.255.25565,534
86221.85.0.0/16221.85.0.1 to 221.85.255.254221.85.255.25565,534
87221.86.0.0/16221.86.0.1 to 221.86.255.254221.86.255.25565,534
88221.87.0.0/16221.87.0.1 to 221.87.255.254221.87.255.25565,534
89221.88.0.0/16221.88.0.1 to 221.88.255.254221.88.255.25565,534
90221.89.0.0/16221.89.0.1 to 221.89.255.254221.89.255.25565,534
91221.90.0.0/16221.90.0.1 to 221.90.255.254221.90.255.25565,534
92221.91.0.0/16221.91.0.1 to 221.91.255.254221.91.255.25565,534
93221.92.0.0/16221.92.0.1 to 221.92.255.254221.92.255.25565,534
94221.93.0.0/16221.93.0.1 to 221.93.255.254221.93.255.25565,534
95221.94.0.0/16221.94.0.1 to 221.94.255.254221.94.255.25565,534
96221.95.0.0/16221.95.0.1 to 221.95.255.254221.95.255.25565,534
97221.96.0.0/16221.96.0.1 to 221.96.255.254221.96.255.25565,534
98221.97.0.0/16221.97.0.1 to 221.97.255.254221.97.255.25565,534
99221.98.0.0/16221.98.0.1 to 221.98.255.254221.98.255.25565,534
100221.99.0.0/16221.99.0.1 to 221.99.255.254221.99.255.25565,534
101221.100.0.0/16221.100.0.1 to 221.100.255.254221.100.255.25565,534
102221.101.0.0/16221.101.0.1 to 221.101.255.254221.101.255.25565,534
103221.102.0.0/16221.102.0.1 to 221.102.255.254221.102.255.25565,534
104221.103.0.0/16221.103.0.1 to 221.103.255.254221.103.255.25565,534
105221.104.0.0/16221.104.0.1 to 221.104.255.254221.104.255.25565,534
106221.105.0.0/16221.105.0.1 to 221.105.255.254221.105.255.25565,534
107221.106.0.0/16221.106.0.1 to 221.106.255.254221.106.255.25565,534
108221.107.0.0/16221.107.0.1 to 221.107.255.254221.107.255.25565,534
109221.108.0.0/16221.108.0.1 to 221.108.255.254221.108.255.25565,534
110221.109.0.0/16221.109.0.1 to 221.109.255.254221.109.255.25565,534
111221.110.0.0/16221.110.0.1 to 221.110.255.254221.110.255.25565,534
112221.111.0.0/16221.111.0.1 to 221.111.255.254221.111.255.25565,534
113221.112.0.0/16221.112.0.1 to 221.112.255.254221.112.255.25565,534
114221.113.0.0/16221.113.0.1 to 221.113.255.254221.113.255.25565,534
115221.114.0.0/16221.114.0.1 to 221.114.255.254221.114.255.25565,534
116221.115.0.0/16221.115.0.1 to 221.115.255.254221.115.255.25565,534
117221.116.0.0/16221.116.0.1 to 221.116.255.254221.116.255.25565,534
118221.117.0.0/16221.117.0.1 to 221.117.255.254221.117.255.25565,534
119221.118.0.0/16221.118.0.1 to 221.118.255.254221.118.255.25565,534
120221.119.0.0/16221.119.0.1 to 221.119.255.254221.119.255.25565,534
121221.120.0.0/16221.120.0.1 to 221.120.255.254221.120.255.25565,534
122221.121.0.0/16221.121.0.1 to 221.121.255.254221.121.255.25565,534
123221.122.0.0/16221.122.0.1 to 221.122.255.254221.122.255.25565,534
124221.123.0.0/16221.123.0.1 to 221.123.255.254221.123.255.25565,534
125221.124.0.0/16221.124.0.1 to 221.124.255.254221.124.255.25565,534
126221.125.0.0/16221.125.0.1 to 221.125.255.254221.125.255.25565,534
127221.126.0.0/16221.126.0.1 to 221.126.255.254221.126.255.25565,534
128221.127.0.0/16221.127.0.1 to 221.127.255.254221.127.255.25565,534
129221.128.0.0/16221.128.0.1 to 221.128.255.254221.128.255.25565,534
130221.129.0.0/16221.129.0.1 to 221.129.255.254221.129.255.25565,534
131221.130.0.0/16221.130.0.1 to 221.130.255.254221.130.255.25565,534
132221.131.0.0/16221.131.0.1 to 221.131.255.254221.131.255.25565,534
133221.132.0.0/16221.132.0.1 to 221.132.255.254221.132.255.25565,534
134221.133.0.0/16221.133.0.1 to 221.133.255.254221.133.255.25565,534
135221.134.0.0/16221.134.0.1 to 221.134.255.254221.134.255.25565,534
136221.135.0.0/16221.135.0.1 to 221.135.255.254221.135.255.25565,534
137221.136.0.0/16221.136.0.1 to 221.136.255.254221.136.255.25565,534
138221.137.0.0/16221.137.0.1 to 221.137.255.254221.137.255.25565,534
139221.138.0.0/16221.138.0.1 to 221.138.255.254221.138.255.25565,534
140221.139.0.0/16221.139.0.1 to 221.139.255.254221.139.255.25565,534
141221.140.0.0/16221.140.0.1 to 221.140.255.254221.140.255.25565,534
142221.141.0.0/16221.141.0.1 to 221.141.255.254221.141.255.25565,534
143221.142.0.0/16221.142.0.1 to 221.142.255.254221.142.255.25565,534
144221.143.0.0/16221.143.0.1 to 221.143.255.254221.143.255.25565,534
145221.144.0.0/16221.144.0.1 to 221.144.255.254221.144.255.25565,534
146221.145.0.0/16221.145.0.1 to 221.145.255.254221.145.255.25565,534
147221.146.0.0/16221.146.0.1 to 221.146.255.254221.146.255.25565,534
148221.147.0.0/16221.147.0.1 to 221.147.255.254221.147.255.25565,534
149221.148.0.0/16221.148.0.1 to 221.148.255.254221.148.255.25565,534
150221.149.0.0/16221.149.0.1 to 221.149.255.254221.149.255.25565,534
151221.150.0.0/16221.150.0.1 to 221.150.255.254221.150.255.25565,534
152221.151.0.0/16221.151.0.1 to 221.151.255.254221.151.255.25565,534
153221.152.0.0/16221.152.0.1 to 221.152.255.254221.152.255.25565,534
154221.153.0.0/16221.153.0.1 to 221.153.255.254221.153.255.25565,534
155221.154.0.0/16221.154.0.1 to 221.154.255.254221.154.255.25565,534
156221.155.0.0/16221.155.0.1 to 221.155.255.254221.155.255.25565,534
157221.156.0.0/16221.156.0.1 to 221.156.255.254221.156.255.25565,534
158221.157.0.0/16221.157.0.1 to 221.157.255.254221.157.255.25565,534
159221.158.0.0/16221.158.0.1 to 221.158.255.254221.158.255.25565,534
160221.159.0.0/16221.159.0.1 to 221.159.255.254221.159.255.25565,534
161221.160.0.0/16221.160.0.1 to 221.160.255.254221.160.255.25565,534
162221.161.0.0/16221.161.0.1 to 221.161.255.254221.161.255.25565,534
163221.162.0.0/16221.162.0.1 to 221.162.255.254221.162.255.25565,534
164221.163.0.0/16221.163.0.1 to 221.163.255.254221.163.255.25565,534
165221.164.0.0/16221.164.0.1 to 221.164.255.254221.164.255.25565,534
166221.165.0.0/16221.165.0.1 to 221.165.255.254221.165.255.25565,534
167221.166.0.0/16221.166.0.1 to 221.166.255.254221.166.255.25565,534
168221.167.0.0/16221.167.0.1 to 221.167.255.254221.167.255.25565,534
169221.168.0.0/16221.168.0.1 to 221.168.255.254221.168.255.25565,534
170221.169.0.0/16221.169.0.1 to 221.169.255.254221.169.255.25565,534
171221.170.0.0/16221.170.0.1 to 221.170.255.254221.170.255.25565,534
172221.171.0.0/16221.171.0.1 to 221.171.255.254221.171.255.25565,534
173221.172.0.0/16221.172.0.1 to 221.172.255.254221.172.255.25565,534
174221.173.0.0/16221.173.0.1 to 221.173.255.254221.173.255.25565,534
175221.174.0.0/16221.174.0.1 to 221.174.255.254221.174.255.25565,534
176221.175.0.0/16221.175.0.1 to 221.175.255.254221.175.255.25565,534
177221.176.0.0/16221.176.0.1 to 221.176.255.254221.176.255.25565,534
178221.177.0.0/16221.177.0.1 to 221.177.255.254221.177.255.25565,534
179221.178.0.0/16221.178.0.1 to 221.178.255.254221.178.255.25565,534
180221.179.0.0/16221.179.0.1 to 221.179.255.254221.179.255.25565,534
181221.180.0.0/16221.180.0.1 to 221.180.255.254221.180.255.25565,534
182221.181.0.0/16221.181.0.1 to 221.181.255.254221.181.255.25565,534
183221.182.0.0/16221.182.0.1 to 221.182.255.254221.182.255.25565,534
184221.183.0.0/16221.183.0.1 to 221.183.255.254221.183.255.25565,534
185221.184.0.0/16221.184.0.1 to 221.184.255.254221.184.255.25565,534
186221.185.0.0/16221.185.0.1 to 221.185.255.254221.185.255.25565,534
187221.186.0.0/16221.186.0.1 to 221.186.255.254221.186.255.25565,534
188221.187.0.0/16221.187.0.1 to 221.187.255.254221.187.255.25565,534
189221.188.0.0/16221.188.0.1 to 221.188.255.254221.188.255.25565,534
190221.189.0.0/16221.189.0.1 to 221.189.255.254221.189.255.25565,534
191221.190.0.0/16221.190.0.1 to 221.190.255.254221.190.255.25565,534
192221.191.0.0/16221.191.0.1 to 221.191.255.254221.191.255.25565,534
193221.192.0.0/16221.192.0.1 to 221.192.255.254221.192.255.25565,534
194221.193.0.0/16221.193.0.1 to 221.193.255.254221.193.255.25565,534
195221.194.0.0/16221.194.0.1 to 221.194.255.254221.194.255.25565,534
196221.195.0.0/16221.195.0.1 to 221.195.255.254221.195.255.25565,534
197221.196.0.0/16221.196.0.1 to 221.196.255.254221.196.255.25565,534
198221.197.0.0/16221.197.0.1 to 221.197.255.254221.197.255.25565,534
199221.198.0.0/16221.198.0.1 to 221.198.255.254221.198.255.25565,534
200221.199.0.0/16221.199.0.1 to 221.199.255.254221.199.255.25565,534
201221.200.0.0/16221.200.0.1 to 221.200.255.254221.200.255.25565,534
202221.201.0.0/16221.201.0.1 to 221.201.255.254221.201.255.25565,534
203221.202.0.0/16221.202.0.1 to 221.202.255.254221.202.255.25565,534
204221.203.0.0/16221.203.0.1 to 221.203.255.254221.203.255.25565,534
205221.204.0.0/16221.204.0.1 to 221.204.255.254221.204.255.25565,534
206221.205.0.0/16221.205.0.1 to 221.205.255.254221.205.255.25565,534
207221.206.0.0/16221.206.0.1 to 221.206.255.254221.206.255.25565,534
208221.207.0.0/16221.207.0.1 to 221.207.255.254221.207.255.25565,534
209221.208.0.0/16221.208.0.1 to 221.208.255.254221.208.255.25565,534
210221.209.0.0/16221.209.0.1 to 221.209.255.254221.209.255.25565,534
211221.210.0.0/16221.210.0.1 to 221.210.255.254221.210.255.25565,534
212221.211.0.0/16221.211.0.1 to 221.211.255.254221.211.255.25565,534
213221.212.0.0/16221.212.0.1 to 221.212.255.254221.212.255.25565,534
214221.213.0.0/16221.213.0.1 to 221.213.255.254221.213.255.25565,534
215221.214.0.0/16221.214.0.1 to 221.214.255.254221.214.255.25565,534
216221.215.0.0/16221.215.0.1 to 221.215.255.254221.215.255.25565,534
217221.216.0.0/16221.216.0.1 to 221.216.255.254221.216.255.25565,534
218221.217.0.0/16221.217.0.1 to 221.217.255.254221.217.255.25565,534
219221.218.0.0/16221.218.0.1 to 221.218.255.254221.218.255.25565,534
220221.219.0.0/16221.219.0.1 to 221.219.255.254221.219.255.25565,534
221221.220.0.0/16221.220.0.1 to 221.220.255.254221.220.255.25565,534
222221.221.0.0/16221.221.0.1 to 221.221.255.254221.221.255.25565,534
223221.222.0.0/16221.222.0.1 to 221.222.255.254221.222.255.25565,534
224221.223.0.0/16221.223.0.1 to 221.223.255.254221.223.255.25565,534
225221.224.0.0/16221.224.0.1 to 221.224.255.254221.224.255.25565,534
226221.225.0.0/16221.225.0.1 to 221.225.255.254221.225.255.25565,534
227221.226.0.0/16221.226.0.1 to 221.226.255.254221.226.255.25565,534
228221.227.0.0/16221.227.0.1 to 221.227.255.254221.227.255.25565,534
229221.228.0.0/16221.228.0.1 to 221.228.255.254221.228.255.25565,534
230221.229.0.0/16221.229.0.1 to 221.229.255.254221.229.255.25565,534
231221.230.0.0/16221.230.0.1 to 221.230.255.254221.230.255.25565,534
232221.231.0.0/16221.231.0.1 to 221.231.255.254221.231.255.25565,534
233221.232.0.0/16221.232.0.1 to 221.232.255.254221.232.255.25565,534
234221.233.0.0/16221.233.0.1 to 221.233.255.254221.233.255.25565,534
235221.234.0.0/16221.234.0.1 to 221.234.255.254221.234.255.25565,534
236221.235.0.0/16221.235.0.1 to 221.235.255.254221.235.255.25565,534
237221.236.0.0/16221.236.0.1 to 221.236.255.254221.236.255.25565,534
238221.237.0.0/16221.237.0.1 to 221.237.255.254221.237.255.25565,534
239221.238.0.0/16221.238.0.1 to 221.238.255.254221.238.255.25565,534
240221.239.0.0/16221.239.0.1 to 221.239.255.254221.239.255.25565,534
241221.240.0.0/16221.240.0.1 to 221.240.255.254221.240.255.25565,534
242221.241.0.0/16221.241.0.1 to 221.241.255.254221.241.255.25565,534
243221.242.0.0/16221.242.0.1 to 221.242.255.254221.242.255.25565,534
244221.243.0.0/16221.243.0.1 to 221.243.255.254221.243.255.25565,534
245221.244.0.0/16221.244.0.1 to 221.244.255.254221.244.255.25565,534
246221.245.0.0/16221.245.0.1 to 221.245.255.254221.245.255.25565,534
247221.246.0.0/16221.246.0.1 to 221.246.255.254221.246.255.25565,534
248221.247.0.0/16221.247.0.1 to 221.247.255.254221.247.255.25565,534
249221.248.0.0/16221.248.0.1 to 221.248.255.254221.248.255.25565,534
250221.249.0.0/16221.249.0.1 to 221.249.255.254221.249.255.25565,534
251221.250.0.0/16221.250.0.1 to 221.250.255.254221.250.255.25565,534
252221.251.0.0/16221.251.0.1 to 221.251.255.254221.251.255.25565,534
253221.252.0.0/16221.252.0.1 to 221.252.255.254221.252.255.25565,534
254221.253.0.0/16221.253.0.1 to 221.253.255.254221.253.255.25565,534
255221.254.0.0/16221.254.0.1 to 221.254.255.254221.254.255.25565,534
256221.255.0.0/16221.255.0.1 to 221.255.255.254221.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses